/* HTML: <div class="loader-1"></div> */
.loader-1 {
    width: 50px;
    aspect-ratio: 1;
    display:grid;
    -webkit-mask: conic-gradient(from 15deg,#0000,#000);
    animation: l26 1s infinite steps(12);
}
.loader-1,
.loader-1:before,
.loader-1:after{
    background:
            radial-gradient(closest-side at 50% 12.5%,
            #fff 96%,#0000) 50% 0/20% 80% repeat-y,
            radial-gradient(closest-side at 12.5% 50%,
            #fff 96%,#0000) 0 50%/80% 20% repeat-x;
}
.loader-1:before,
.loader-1:after {
    content: "";
    grid-area: 1/1;
    transform: rotate(30deg);
}
.loader-1:after {
    transform: rotate(60deg);
}

@keyframes l26 {
    100% {transform:rotate(1turn)}
}

.overlay-spinner {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.89);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}